# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hakyll

%global common_summary Static website compiler Haskell library

%global common_description Hakyll is a static website compiler library.\
It provides you with the tools to create a simple or advanced static website\
using a Haskell DSL and formats such as markdown or RST.

Name:           ghc-%{pkg_name}
Version:        3.2.7.2
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches_with_ghci}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-citeproc-hs-devel
BuildRequires:  ghc-cryptohash-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hamlet-devel
BuildRequires:  ghc-pandoc-devel > 1.9
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-tagsoup-devel >= 0.12.6
BuildRequires:  ghc-unix-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
%ghc_add_basepkg_file %{_datadir}/%{pkg_name}-%{version}


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 3.2.7.2-5
- change prof BRs to devel

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 3.2.7.2-4
- rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 3.2.7.2-3
- rebuild

* Fri May 11 2012 Karsten Hopp <karsten@redhat.com> 3.2.7.2-2
- change exclusivearches from ghc_arches to ghc_arches_with_ghci as
  the BR ghc-hamlet is only available on those archs

* Thu Apr 26 2012 Jens Petersen <petersen@redhat.com> - 3.2.7.2-1
- update to 3.2.7.2

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 3.2.6.2-1
- update to 3.2.6.2

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 3.2.6.1-1
- update to 3.2.6.1
- regex-pcre depends replaced by regex-tdfa

* Mon Feb 13 2012 Jens Petersen <petersen@redhat.com> - 3.2.6.0-1
- update to 3.2.6.0

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 3.2.5.1-2
- Rebuild against PCRE 8.30

* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 3.2.5.1-1
- update to 3.2.5.1

* Thu Jan 26 2012 Jens Petersen <petersen@redhat.com> - 3.2.5.0-1
- update to 3.2.5.0

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 3.2.3.2-1
- update to 3.2.3.2 and cabal2spec-0.25.2
- use ghc_add_basepkg_file

* Mon Nov  7 2011 Jens Petersen <petersen@redhat.com> - 3.2.0.10-1
- BSD license, deps, and description

* Mon Oct 31 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 3.2.0.10-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
